/**
 * ActClassControlAct2.java
 *
 * File generated from the medication2::ActClassControlAct2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassControlAct2.
 *
 * 
 */

@XmlType(name = "ActClassControlAct")
@XmlEnum
@XmlRootElement(name = "ActClassControlAct2")
public enum ActClassControlAct2 {
	@XmlEnumValue("CACT")
	CACT("CACT"),
	@XmlEnumValue("ACTN")
	ACTN("ACTN"),
	@XmlEnumValue("INFO")
	INFO("INFO"),
	@XmlEnumValue("STC")
	STC("STC");
	
	private final String value;

    ActClassControlAct2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActClassControlAct2 fromValue(String v) {
        for (ActClassControlAct2 c: ActClassControlAct2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
